<?php
require_once 'configure.options.php';
class configure extends configure_options {

function display_record($condition='') {
	$this->form = $this->new_data_set('configure');
	$this->set_form_options();
	$this->set_form_filters();
	$this->form->validate_and_freeze();
	$this->form->bind_button_control();
	
	$result = $this->form->automatic_form_handler($condition);
	$this->configure = $result['configure'] ? $result['configure'] : $result['values'];
	$this->post_form_process();
	
	$this->assign_form('input_form',$this->form);
}

function dispatch_index() {
	if($this->configure['id'] and $this->QuictyStatus=='START') {
		$condition = 'where id='.$this->configure['id'];
		$this->QuictyStatus = 'EDIT';
	} elseif($this->QuictyStatus=='DELETE_CONFIRM') {
		$condition = 'where id='.$this->configure['id'];
	}
	$this->display_record($condition);
	$this->page['name'] = '´Ä¶­ÀßÄê';
	$this->assign('page',$this->page);
	return $this->display($this->current_template,$this->cache_id);
}

} // end of configure class
?>